import type DataGrid from "./DataGrid";
declare class Clipboard {
    grid: DataGrid;
    show: boolean;
    isPaste: boolean;
    xArr: [number, number];
    yArr: [number, number];
    el?: HTMLTextAreaElement;
    constructor(grid: DataGrid);
    init(): void;
    copy(): void;
    paste(): void;
    select(textArr: any[][]): void;
    clear(): void;
}
export default Clipboard;
